From f6fa657bb497a3d9dedfa80e713ddaa10e384fc2 Mon Sep 17 00:00:00 2001
From: Iain Sandoe <iain@codesourcery.com>
Date: Sun, 27 Jul 2014 20:35:16 +0100
Subject: [PATCH 1003/1007] Default to ppc7400 for OSX 10.5+

---
 lib/Driver/ToolChains/CommonArgs.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git llvm_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp macports_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
index d0c9d7d396..dbf7a15002 100644
--- llvm_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
+++ macports_master/tools/clang/lib/Driver/ToolChains/CommonArgs.cpp
@@ -299,6 +299,9 @@ std::string tools::getCPUName(const ArgList &Args, const llvm::Triple &T,
         TargetCPUName = "ppc64";
       else if (T.getArch() == llvm::Triple::ppc64le)
         TargetCPUName = "ppc64le";
+      else if (T.isOSDarwin() && !T.isMacOSXVersionLT(10,5))
+        // For 10.5+ Altivec is assumed available.
+        TargetCPUName = "7400";
       else
         TargetCPUName = "ppc";
     }
-- 
2.21.0 (Apple Git-120)

